//
//  KOGLView.h
//  FBOTest
//
//  Created by Steve Mokris on 2013.05.27.
//  Copyright (c) 2013 Kosada. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface KOGLView : NSOpenGLView
{
	CGLContextObj rootContext;

	GLuint rootQuadPositionBuffer;
	GLuint rootQuadElementBuffer;
	GLuint rootInputTexture;
	GLuint rootVertexShader;
	GLuint rootFragmentShader;
	GLuint rootProgram;
	GLint rootPositionAttribute;
	GLint rootTextureUniform;


	CGLContextObj childContext;

	GLuint childTexture;
	GLuint childFramebuffer;

	GLuint childQuadPositionBuffer;
	GLuint childQuadElementBuffer;

	GLuint childVertexShader;
	GLuint childFragmentShader;
	GLuint childProgram;
	GLint childPositionAttribute;
	GLint childTextureUniform;
	GLfloat childRenderTimeUniform;
}
@end
